[solved]Kde Dependancy Cycle Detected

For general ARCHLabs and Arch issues.
Please make a serious attempt to search for your issue before posting here.
We can't offer help if you have the Testing Repos enabled.

Moderator: Founder

[solved]Kde Dependancy Cycle Detected

PostPosted by Nightowl » Mon Apr 17, 2017 2:13 am

For some reason i am pulling in KDE dependencies, not sure if it is a program i have downloaded, error or this distro?

Ive downloaded/ installed celestia, and gnome maps in the last few days but i am sure they are not KDE dependant. I do not want to pull in unwanted dependencies. Can someone please help with this, thankyou.

Code: Select all
looking for conflicting packages...
warning: dependency cycle detected:
warning: kio will be installed before its kinit dependency

Package (29)             Old Version  New Version  Net Change  Download Size

extra/attica-qt5         5.32.0-1     5.33.0-1       0.00 MiB       0.17 MiB
extra/karchive           5.32.0-1     5.33.0-1       0.00 MiB       0.09 MiB
extra/kauth              5.32.0-1     5.33.0-1      -0.01 MiB       0.12 MiB
extra/kbookmarks         5.32.0-1     5.33.0-1      -0.01 MiB       0.14 MiB
extra/kcodecs            5.32.0-1     5.33.0-1      -0.01 MiB       0.16 MiB
extra/kcompletion        5.32.0-1     5.33.0-1      -0.01 MiB       0.21 MiB
extra/kconfig            5.32.0-1     5.33.0-1      -0.01 MiB       0.42 MiB
extra/kconfigwidgets     5.32.0-1     5.33.0-1      -0.01 MiB       0.44 MiB
extra/kcoreaddons        5.32.0-1     5.33.0-1      -0.01 MiB       0.49 MiB
extra/kcrash             5.32.0-1     5.33.0-1       0.00 MiB       0.02 MiB
extra/kdbusaddons        5.32.0-1     5.33.0-1       0.00 MiB       0.07 MiB
extra/kglobalaccel       5.32.0-1     5.33.0-1      -0.01 MiB       0.12 MiB
extra/kguiaddons         5.32.0-1     5.33.0-1       0.00 MiB       0.08 MiB
extra/ki18n              5.32.0-1     5.33.0-2       0.00 MiB       1.16 MiB
extra/kiconthemes        5.32.0-1     5.33.0-1      -0.01 MiB       0.13 MiB
extra/kinit              5.32.0-1     5.33.0-1      -0.01 MiB       0.13 MiB
extra/kio                5.32.0-2     5.33.0-1      -0.50 MiB       3.95 MiB
extra/kitemviews         5.32.0-1     5.33.0-1      -0.01 MiB       0.22 MiB
extra/kjobwidgets        5.32.0-1     5.33.0-1      -0.01 MiB       0.12 MiB
extra/knotifications     5.32.0-1     5.33.0-1      -0.01 MiB       0.14 MiB
extra/kservice           5.32.0-1     5.33.0-1       0.00 MiB       0.33 MiB
extra/ktextwidgets       5.32.0-1     5.33.0-1      -0.01 MiB       0.26 MiB
extra/kwallet            5.32.0-1     5.33.0-1      -0.01 MiB       0.38 MiB
extra/kwidgetsaddons     5.32.0-1     5.33.0-1      -0.01 MiB       1.94 MiB
extra/kwindowsystem      5.32.0-1     5.33.0-1      -0.01 MiB       0.18 MiB
extra/kxmlgui            5.32.0-1     5.33.0-1      -0.01 MiB       0.72 MiB
extra/python-setuptools  1:34.4.1-1   1:35.0.0-1     0.00 MiB       0.25 MiB
extra/solid              5.32.0-1     5.33.0-1       0.00 MiB       0.34 MiB
extra/sonnet             5.32.0-1     5.33.0-1      -0.01 MiB       0.27 MiB

Total Download Size:   13.06 MiB
Total Installed Size:  80.41 MiB
Net Upgrade Size:      -0.67 MiB
Last edited by Nightowl on Tue Apr 18, 2017 8:03 pm, edited 1 time in total.
User avatar
Nightowl
 
Posts: 75
Joined: Wed Apr 05, 2017 10:21 pm

Re: Dependance

PostPosted by Nightowl » Mon Apr 17, 2017 2:43 am

Ive run
Code: Select all
pacman -Sii
on specific packages ive installed and cannot figure this out?
User avatar
Nightowl
 
Posts: 75
Joined: Wed Apr 05, 2017 10:21 pm

Re: Dependance

PostPosted by Nightowl » Mon Apr 17, 2017 2:53 am

This was the culprit.

Why would i need this?

https://www.archlinux.org/packages/comm ... 4/kpmcore/

.......

Actually this was not,

I would like to know why i have pulled in kde dependencies but cannot figure it out. Has to be a program im running, or maybe this is new for arch linux? Ive always tried to keep dependencies from other systems to a minimum or zero if i can so this has just got me wondering. Probably no big deal.
User avatar
Nightowl
 
Posts: 75
Joined: Wed Apr 05, 2017 10:21 pm

Re: Dependance

PostPosted by erikdubois » Mon Apr 17, 2017 4:42 am

It must be something related with the kde desktop.
Not related to archlabs applications. If it is, we would like to know also.
Living to learn, learning to live.
Linux fits well in my life's motto.
More info on http://erikdubois.be
Archlabs support articles are on https://goo.gl/AaYI0b
Archlabs support youtube channel is on https://goo.gl/Lovquv
User avatar
erikdubois
Site Admin
Site Admin
 
Posts: 333
Joined: Sun Mar 05, 2017 5:42 am
Location: Belgium

Re: Dependance

PostPosted by Nightowl » Mon Apr 17, 2017 11:23 pm

erikdubois wrote:It must be something related with the kde desktop.
Not related to archlabs applications. If it is, we would like to know also.


I found this on the arch forum.

https://bbs.archlinux.org/viewtopic.php?id=224884

Not sure what to make of it.
User avatar
Nightowl
 
Posts: 75
Joined: Wed Apr 05, 2017 10:21 pm

Re: Dependance

PostPosted by erikdubois » Mon Apr 17, 2017 11:41 pm

well i am testing version 3.5.0 later this day
i will be alert !!
you bet
no K... stuff without me knowing about it
:evil:
Living to learn, learning to live.
Linux fits well in my life's motto.
More info on http://erikdubois.be
Archlabs support articles are on https://goo.gl/AaYI0b
Archlabs support youtube channel is on https://goo.gl/Lovquv
User avatar
erikdubois
Site Admin
Site Admin
 
Posts: 333
Joined: Sun Mar 05, 2017 5:42 am
Location: Belgium

Re: Dependance

PostPosted by Nightowl » Mon Apr 17, 2017 11:48 pm

Im no fan of kde either which made me question this.
User avatar
Nightowl
 
Posts: 75
Joined: Wed Apr 05, 2017 10:21 pm

Re: Dependance

PostPosted by Nightowl » Tue Apr 18, 2017 12:06 am

I got shutdown real quick for this over at the Arch forums. My user is Seventh there and at Debian forum. Ive only been into linux for a year and a bit.

https://bbs.archlinux.org/viewtopic.php?id=225274

Trillby:

Any trivial search with the warning message would have resulted in many solved threads at least one of which near the top of the search results is for these specific packages.

Search before posting.

Closed & Binned.

As for having kde packages installed, you clearly do. If you do not know what is installed on your system, I suspect you are still using an arch-based distro which is not supported here.
User avatar
Nightowl
 
Posts: 75
Joined: Wed Apr 05, 2017 10:21 pm

Re: Dependance

PostPosted by erikdubois » Tue Apr 18, 2017 12:11 am

You got it right. I am looking into it.
We had them already in 3.4.0.
Digging deeper.
Living to learn, learning to live.
Linux fits well in my life's motto.
More info on http://erikdubois.be
Archlabs support articles are on https://goo.gl/AaYI0b
Archlabs support youtube channel is on https://goo.gl/Lovquv
User avatar
erikdubois
Site Admin
Site Admin
 
Posts: 333
Joined: Sun Mar 05, 2017 5:42 am
Location: Belgium

Re: Dependance

PostPosted by Nightowl » Tue Apr 18, 2017 12:17 am

Thankyou Erik
User avatar
Nightowl
 
Posts: 75
Joined: Wed Apr 05, 2017 10:21 pm

Re: Dependance

PostPosted by erikdubois » Tue Apr 18, 2017 12:20 am

i think it might be related to gparted which is related to parted which is related to kpmcore which is related to kio which is related to kwallet, kinit and other k...
closing now
Living to learn, learning to live.
Linux fits well in my life's motto.
More info on http://erikdubois.be
Archlabs support articles are on https://goo.gl/AaYI0b
Archlabs support youtube channel is on https://goo.gl/Lovquv
User avatar
erikdubois
Site Admin
Site Admin
 
Posts: 333
Joined: Sun Mar 05, 2017 5:42 am
Location: Belgium

Re: Dependance

PostPosted by Nightowl » Tue Apr 18, 2017 12:43 am

erikdubois wrote:i think it might be related to gparted which is related to parted which is related to kpmcore which is related to kio which is related to kwallet, kinit and other k...
closing now


Seems like it.

sudo pacman -Sii kpmcore
Repository : community
Name : kpmcore
Version : 3.0.3-1
Description : Library for managing partitions
Architecture : x86_64
URL : http://kde.org/applications/system/kdepartitionmanager/
Licenses : GPL2
Groups : None
Provides : None
Depends On : kio parted
Optional Deps : e2fsprogs: ext2/3/4 support
xfsprogs: XFS support
jfsutils: JFS support
reiserfsprogs: Reiser support
ntfs-3g: NTFS support
dosfstools: FAT32 support
f2fs-tools: F2FS support
Required By : partitionmanager
Optional For : None
Conflicts With : None
Replaces : None
Download Size : 496.12 KiB
Installed Size : 3148.00 KiB
Packager : Antonio Rojas <arojas@archlinux.org>
Build Date : Mon 06 Feb 2017 08:40:52 AEDT
MD5 Sum : 2b32c7039ee7e6ea978404fe25f57ee3
SHA-256 Sum : 48ea6871aa126c5b275b06ec199903d4989d439f22e889c430d52aec1037f272
Signatures : 7A4E76095D8A52E4
User avatar
Nightowl
 
Posts: 75
Joined: Wed Apr 05, 2017 10:21 pm

Re: Dependance

PostPosted by erikdubois » Tue Apr 18, 2017 12:45 am

i just used gparted for my external harddrive...
better leave it in :ugeek:
Living to learn, learning to live.
Linux fits well in my life's motto.
More info on http://erikdubois.be
Archlabs support articles are on https://goo.gl/AaYI0b
Archlabs support youtube channel is on https://goo.gl/Lovquv
User avatar
erikdubois
Site Admin
Site Admin
 
Posts: 333
Joined: Sun Mar 05, 2017 5:42 am
Location: Belgium

Re: Dependance

PostPosted by Nightowl » Tue Apr 18, 2017 12:56 am

erikdubois wrote:i just used gparted for my external harddrive...
better leave it in :ugeek:


Makes sense. Better close this thread, just my inexperience with linux.
User avatar
Nightowl
 
Posts: 75
Joined: Wed Apr 05, 2017 10:21 pm

Re: Dependance

PostPosted by erikdubois » Tue Apr 18, 2017 2:02 am

I do not think I am allowed?
can you add [SOLVED] in the title of the very first post.
Living to learn, learning to live.
Linux fits well in my life's motto.
More info on http://erikdubois.be
Archlabs support articles are on https://goo.gl/AaYI0b
Archlabs support youtube channel is on https://goo.gl/Lovquv
User avatar
erikdubois
Site Admin
Site Admin
 
Posts: 333
Joined: Sun Mar 05, 2017 5:42 am
Location: Belgium

Re: Dependance

PostPosted by Dobbie03 » Tue Apr 18, 2017 5:37 pm

They are such helpful chaps over there in the Arch Forums are they not?
I like my Metal like my coffee.......black
User avatar
Dobbie03
Founder
Founder
 
Posts: 552
Joined: Sat Feb 18, 2017 2:51 pm
Location: New Zealand
Running Release: DobbieBang

Re: Dependance

PostPosted by Nightowl » Tue Apr 18, 2017 8:01 pm

Dobbie03 wrote:They are such helpful chaps over there in the Arch Forums are they not?


Must turn people off using arch linux if they are new to it and get rude replies like that, but i suppose they see it all the time, still no excuse for being rude.
User avatar
Nightowl
 
Posts: 75
Joined: Wed Apr 05, 2017 10:21 pm

Re: Dependance

PostPosted by Nightowl » Tue Apr 18, 2017 8:02 pm

erikdubois wrote:I do not think I am allowed?
can you add [SOLVED] in the title of the very first post.


Will do, cheers.
User avatar
Nightowl
 
Posts: 75
Joined: Wed Apr 05, 2017 10:21 pm


Return to Basic Help and Support

Who is online

Users browsing this forum: No registered users and 1 guest